gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Misc used to display an image. can be used as a container for a or a to get custom interfaces. cannot launch events, it is necessary to include it inside an for that purpose.
- Constructor
  2.12.0.0
  Default parameterless constructor.
- Constructor
  2.12.0.0
  to be displayed by the Image.
  This constructor is used to create an instance of containing the passed to it.
- Constructor
  2.12.0.0
  to be displayed by the Image.
  This constructor is used to create an instance of containing the passed to it.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  a
  Loads an image from a .
  This is equivalent to calling or and then creating an from the resulting pixbuf.
- Constructor
  2.12.0.0
  representing the path to the image file.
  This constructor is used to create an instance of containing the image stored in the filename whose path is given by the 'filename' parameter.
- Constructor
  2.12.0.0
  to be displayed by the Image.
  mask to be used.
  This constructor is used to create an instance of containing the passed to it, masked by the given .
- Constructor
  2.12.0.0
  displayed by the Image.
  mask used by the Image.
  This constructor is used to create an instance of containing the passed to it, masked by the given .
- Constructor
  2.12.0.0
  to be displayed by the Image.
  to be used by the Image.
  This constructor is used to create an instance of containing the and using the passed to it.
- Constructor
  2.12.0.0
  The that contains the image.

  If the value is , the image will be looked up on the calling assembly.

  The name given as the resource in the assembly
  Loads an image embedded in an assembly
  This is equivalent to calling or and then creating an from the resulting pixbuf.
- Constructor
  2.12.0.0
  identifier for the .
  used by the Image.
  This constructor is used to create an instance of containing the represented by the passed to it and with the size represented by the passed.
- Property
  2.12.0.0
  Gdk.PixbufAnimation Get the animation for this image. an object of type
- Method
  2.12.0.0
  System.Void Resets the image to be empty.
- Property
  2.12.0.0
  GLib.Property("file")
  System.String The file this image was loaded from. an object of type
- Property
  2.12.0.0
  System.Obsolete("Use the Animation property instead")
  Gdk.PixbufAnimation Causes the Image object to display the given animation (or display nothing, if you set the animation to ). an object of type
- Property
  2.12.0.0
  System.Obsolete("Use the File property instead")
  System.String

  Creates a new displaying the file If the file isn't found or can't be loaded, the resulting Image will display a "broken image" icon. This function never returns , it always returns a valid Image widget. If the file contains an animation, the image will contain an animation.

  If you need to detect failures to load the file, use to load the file yourself, then create the Image from the pixbuf. (Or for animations, use ).

  The storage type () of the returned image is not defined, it will be whatever is appropriate for displaying the file.

  an object of type
- Property
  2.12.0.0
  System.Obsolete("Use the Pixbuf property instead")
  Gdk.Pixbuf Creates a displaying . an object of type Creates a displaying .
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a Gets the and mask being displayed by the . The storage type of the image must be . or . (see ).
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` the the icon size, a Get the icon set and size, if this image is using an icon set If the is displaying an image from an icon set, this method can be used to retrieve the icon set and the size.
- Method
  2.12.0.0
  System.Void `` `` the image data the mask Get the image data and mask for an image
- Method
  2.12.0.0
  System.Void `` `` the the mask Get the pixmap and mask for an image
- Method
  2.12.0.0
  System.Void `` `` the stock item name the stock item size, a Get the stock item name and size, if this is a stock image If the is displaying a stock image, this method can be used to retrieve the stock item name and the size.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("icon-name")
  System.String To be added a To be added
- Property
  2.12.0.0
  GLib.Property("icon-set")
  Gtk.IconSet Gets or sets the associated to the Image. that the Image contains.
- Property
  2.12.0.0
  GLib.Property("icon-size")
  System.Int32 The size (dimension on a side) for a square icon. an object of type
- Property
  2.12.0.0
  GLib.Property("image")
  Gdk.Image Gets or sets the associated with the Image. that the Image contains.
- Method
  2.12.0.0
  Gtk.Image `` the name of the resource Loads an image from a resource file. a This load an image from a resource in the calling assembly. This is equivalent to using the constructor with a assembly.
- Property
  2.12.0.0
  GLib.Property("mask")
  Gdk.Pixmap Mask bitmap to use with or an object of type
- Method
  2.12.0.0
  Gtk.Image `` `` a a To be added a To be added
- Property
  2.12.0.0
  GLib.Property("pixbuf")
  Gdk.Pixbuf Gets or sets the associated to the Image. that the Image contains.
- Property
  2.12.0.0
  GLib.Property("pixbuf-animation")
  Gdk.PixbufAnimation Gets or sets the associated to the Image. that the Image contains.
- Property
  2.12.0.0
  GLib.Property("pixel-size")
  System.Int32 To be added a To be added
- Property
  2.12.0.0
  GLib.Property("pixmap")
  Gdk.Pixmap Gets or sets the associated to the Image. that the Image contains.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a Same functionality as .
- Method
  2.12.0.0
  System.Void `` `` a a To be added To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Creates a displaying an . Creates a displaying an . Sample stock sizes are , . Instead of using this function, usually it is better to create a , put your in the , add the to the list of default factories with , and then use . This will allow themes to override the icon you ship with your application.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Creates a widget displaying an image with a mask. Creates a widget displaying an image with a mask. A is a client-side image buffer in the pixel format of the current display.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Creates a widget displaying an image with a mask. Creates a widget displaying an image with a mask. A is a client-side image buffer in the pixel format of the current display.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Creates a displaying a stock icon. Creates a displaying a stock icon. Sample stock icon names are , . Sample stock sizes are , . If the stock icon name is not known, a "broken image" icon will be displayed instead. You can register your own stock icon names, see and .
- Property
  2.12.0.0
  GLib.Property("stock")
  System.String A stock item name, if this is a stock image. an object of type
- Property
  2.12.0.0
  GLib.Property("storage-type")
  Gtk.ImageType The type of representation being used by the to store image data. If the Image has no image data, the return value will be . an object of type